Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CacheEntry

    java.lang.Object
      oracle.ifs.common.CacheEntry

    public class CacheEntry

extends java.lang.Object

A CacheEntry encapsulates an object that is cached.

(Published)

Field Summary
`java.lang.Object` | `m_Id` The cached object's key.
`LooselyBoundedCacheable` | `m_Object` The cached object.
`long` | `m_Sequence` The access sequence.

Constructor Summary
`CacheEntry(java.lang.Object id, LooselyBoundedCacheable value, long sequence)` Constructs a CacheEntry.

Method Summary
`boolean` | `canPurge()` Gets indication as to whether this entry can be purged.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Id

    public java.lang.Object m_Id

  Description copied from class: `CacheEntry`
  The cached object's key.

### m_Object

    public LooselyBoundedCacheable m_Object

  Description copied from class: `CacheEntry`
  The cached object.

### m_Sequence

    public long m_Sequence

  Description copied from class: `CacheEntry`
  The access sequence.

Constructor Detail

### CacheEntry

    public CacheEntry(java.lang.Object id,
                      LooselyBoundedCacheable value,
                      long sequence)

  Constructs a CacheEntry.

  Parameters:
    `id` - the key to use
    `value` - the cached value
    `sequence` - the entry sequence
  (Published)

Method Detail

### canPurge

    public boolean canPurge()

  Description copied from class: `CacheEntry`
  Gets indication as to whether this entry can be purged.

  Returns:
    whether this entry can be purged
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD